summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2016-06-17 20:42:09 +0200
committerUlrich Müller <ulm@gentoo.org>2016-06-17 20:42:09 +0200
commit98ddfbcd108cb055e4526c4ed85dea79ccd3b441 (patch)
tree56918acdd1fbf4b2b9cd79f509227d2bf89b4ee7 /app-admin
parentapp-admin/eselect: Remove old. (diff)
downloadgentoo-98ddfbcd108cb055e4526c4ed85dea79ccd3b441.tar.gz
gentoo-98ddfbcd108cb055e4526c4ed85dea79ccd3b441.tar.bz2
gentoo-98ddfbcd108cb055e4526c4ed85dea79ccd3b441.zip
app-admin/eselect: Version bump.
Fixes bugs 122260 and 572348. Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/eselect/Manifest1
-rw-r--r--app-admin/eselect/eselect-1.4.6.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/app-admin/eselect/Manifest b/app-admin/eselect/Manifest
index 6f0826872ce..dbc11ed8781 100644
--- a/app-admin/eselect/Manifest
+++ b/app-admin/eselect/Manifest
@@ -1 +1,2 @@
DIST eselect-1.4.5.tar.xz 175992 SHA256 15beabb4c2afab4f833ceb2a66859849a5c20b8f8d61366ffe4b556a200d5f12 SHA512 d561b66386ac90335041e8fb88dd85cbe98ea32a98eab309a5fb07de1b9fe10c50dcdd03f93632d4bc938c1729ddb0954fa37482eb7856a87c24f41a7bc29a35 WHIRLPOOL e18839e9ff0ea1af03c6246533e72d39f9f7eb61f28d6cec3ff1a571374f23f7d55751c1f20bfb99c40fb44a81b5754b6c92d62c98f6b1b45dc8bf388b54db40
+DIST eselect-1.4.6.tar.xz 176400 SHA256 17a8dae5c84cd29a120ddac3bb7df82ed68f560743f0289d7f64e8a0ba6903b6 SHA512 7ec648346e3810cd753ef736a4a9996ae88037f1dea68b7485bb48964eeb2ae43a7feff5a3957fb3bef7f2b21e0d4bd70b128fbe63d7be17ec4cf9a480371e94 WHIRLPOOL 8a71017359c49c72dd3c7c87cc438a1c6347c4a414e28c437c06a9078ac26ee905c60d35cbe555dad27137e6b3f0ee30fc904070a59b566b683acf8751081afe
diff --git a/app-admin/eselect/eselect-1.4.6.ebuild b/app-admin/eselect/eselect-1.4.6.ebuild
new file mode 100644
index 00000000000..f8363288990
--- /dev/null
+++ b/app-admin/eselect/eselect-1.4.6.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils bash-completion-r1
+
+DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Eselect"
+SRC_URI="https://dev.gentoo.org/~ulm/eselect/${P}.tar.xz"
+
+LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-3.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc emacs vim-syntax"
+
+RDEPEND="sys-apps/sed
+ || (
+ sys-apps/coreutils
+ sys-freebsd/freebsd-bin
+ app-misc/realpath
+ )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ doc? ( dev-python/docutils )"
+RDEPEND="${RDEPEND}
+ sys-apps/file
+ sys-libs/ncurses"
+
+PDEPEND="emacs? ( app-emacs/eselect-mode )
+ vim-syntax? ( app-vim/eselect-syntax )"
+
+src_compile() {
+ emake
+ use doc && emake html
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ newbashcomp misc/${PN}.bashcomp ${PN}
+ dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt
+ if use doc; then
+ docinto html
+ dodoc *.html doc/*.html doc/*.css
+ fi
+
+ # needed by news module
+ keepdir /var/lib/gentoo/news
+ if ! use prefix; then
+ fowners root:portage /var/lib/gentoo/news
+ fperms g+w /var/lib/gentoo/news
+ fi
+}
+
+pkg_postinst() {
+ # fowners in src_install doesn't work for the portage group:
+ # merging changes the group back to root
+ if ! use prefix; then
+ chgrp portage "${EROOT}/var/lib/gentoo/news" \
+ && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ fi
+}